2018-12-12 18:27 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000040Branch 0.2.1-FINALBugpublic2016-11-23 10:28
Reporteruser13 
Assigned ToQuix0r 
PriorityurgentSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformApache 2.2.9 - mod_php 5.2.6OSWindows Vista Ultimate x64 SP1OS Version6001 SP1
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000040: Fehlermeldung bei Surfbar URL-Ändern
DescriptionBei Surfbar URL-Ändern tritt folgender Fehler auf, wenn man keinen Eintrag gewählt hat.

# __errorHandler(8, Undefined index: id, E:\InternetProjekte\mailtausch\inc\modules\admin\what-list_surfbar_urls.php, 50,
.......
 called at [E:\InternetProjekte\mailtausch\inc\modules\admin\what-list_surfbar_urls.php:50]
# include(E:\InternetProjekte\mailtausch\inc\modules\admin\what-list_surfbar_urls.php) called at [E:\InternetProjekte\mailtausch\inc\modules\admin\action-surfbar.php:47]
# include(E:\InternetProjekte\mailtausch\inc\modules\admin\action-surfbar.php) called at [E:\InternetProjekte\mailtausch\inc\modules\admin\admin-inc.php:352]
# ADMIN_DO_ACTION(list_surfbar_urls) called at [E:\InternetProjekte\mailtausch\inc\modules\admin.php:368]
# include(E:\InternetProjekte\mailtausch\inc\modules\admin.php) called at [E:\InternetProjekte\mailtausch\modules.php:157]
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000094

user13

Last edited: 2010-05-28 17:28

View 2 revisions

Check ob $_POST['id'] vorhanden ist hinzugefügt. Behebt auch andere Fehlermeldungen wenn keine Auswahl gemacht worden ist.

http://www.mxchange.stelzi.net.invalid/patches/what-list_surfbar_urls-Fix.patch

~0000203

Quix0r (administrator)

Hab einen allgemeinen if()-Block zuvor eingebaut und ist beim naechsten Commit dabei.

Auf die Art, wie du es loesen wolltest, wollte ich es anfangs auch, habe mich dann den Code schmaler zu halten umentschieden.

Tipp am Rande:
if (isset($_POST['delete']) && isset($_POST['id']))
schreibe ich nicht, eher:
if ((isset($_POST['delete'])) && (isset($_POST['id'])))

~0000206

user13

Ja das mit den hunderttausend Klammern in deinem Code ist mir bereits aufgefallen. Manche PHP-Programmierer würden das so werten wie zb. if ($bool == true) oder if ($bool == false) anstatt if ($bool) oder if (!$bool). Ich zb sehe da bei deiner Version vor lauter Klammern den Innhalt nicht mehr ;-) Da ja schon etliche Typos mit deiner Version reingekommen sind würde ich sagen, dass meine Version auch nicht verkehrt ist. Bei If-Statements nutze ich nur dann zusätzliche Klammern wenns wirklich verwirrend werden könnte und dann mache ich eher jeden Abgleich in eine eigene Zeile (auch besser bei der Anzeige eines Fehler -- da weis man sofort welcher Abgleich den Fehler produziert)

~0000207

user13

Ja ist mit der aktuellen Rev behoben.

~0000810

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2008-12-29 20:07 user13 New Issue
2008-12-29 20:13 user13 Note Added: 0000094
2009-02-06 01:42 Quix0r Fixed in Version => 0.2.1-FINAL
2009-02-09 11:30 user13 Note Edited: 0000094
2009-02-10 18:42 user13 Priority normal => urgent
2009-02-18 22:48 Quix0r Note Added: 0000203
2009-02-18 22:48 Quix0r Assigned To => Quix0r
2009-02-18 22:48 Quix0r Status new => assigned
2009-02-18 22:48 Quix0r Projection none => tweak
2009-02-18 22:48 Quix0r ETA none => < 1 day
2009-02-18 22:48 Quix0r Target Version => 0.2.1-FINAL
2009-02-18 22:48 Quix0r Description Updated
2009-02-19 12:32 user13 Note Added: 0000206
2009-02-19 12:33 user13 Note Added: 0000207
2009-02-19 12:33 user13 Status assigned => resolved
2009-02-19 12:33 user13 Resolution open => fixed
2009-11-25 21:55 Quix0r Product Version 0.2.1-FINAL =>
2009-11-25 21:55 Quix0r Build Rev 708 => SVN-708
2010-05-28 16:59 Quix0r Product Version => 0.2.1-FINAL
2010-05-28 17:26 Quix0r Description Updated View Revisions
2010-05-28 17:28 Quix0r Note Edited: 0000094 View Revisions
2016-11-23 10:28 Quix0r Note Added: 0000810
2016-11-23 10:28 Quix0r Status resolved => closed
+Issue History